#!/bin/sh

CFG_DIR=$HOME/.gngeo-gui
CFG_FILE=$CFG_DIR/gngeo-gui.cfg
LOG_FILE=$CFG_DIR/gngeo-output.log
GNGEO_CFG_DIR=$HOME/.gngeo
GNGEO_CFG_FILE=$GNGEO_CFG_DIR/gngeorc

mkdir -p $CFG_DIR 2> /dev/null
if [ ! -r $CFG_FILE ]
then
	echo "exec_path /opt/gngeo/bin" > $CFG_FILE
	echo "exit_after_launch false" >> $CFG_FILE
fi
grep exit_after_launch $CFG_FILE >/dev/null || echo "exit_after_launch false" >> $CFG_FILE
grep exec_path $CFG_FILE >/dev/null || echo "exec_path /opt/gngeo/bin" >> $CFG_FILE

mkdir -p $GNGEO_CFG_DIR 2> /dev/null
test -r $GNGEO_CFG_FILE || touch $GNGEO_CFG_FILE
# Set missing values
#grep ^autoframeskip $GNGEO_CFG_FILE >/dev/null || echo "autoframeskip true" >> $GNGEO_CFG_FILE
#grep ^p2hotkey1 $GNGEO_CFG_FILE >/dev/null || echo "p2hotkey1 4,8" >> $GNGEO_CFG_FILE
#grep ^p2hotkey0 $GNGEO_CFG_FILE >/dev/null || echo "p2hotkey0 2,4,8" >> $GNGEO_CFG_FILE
#grep ^p2hotkey2 $GNGEO_CFG_FILE >/dev/null || echo "p2hotkey2 8" >> $GNGEO_CFG_FILE
#grep ^samplerate $GNGEO_CFG_FILE >/dev/null || echo "samplerate 11025" >> $GNGEO_CFG_FILE
#grep ^screen320 $GNGEO_CFG_FILE >/dev/null || echo "screen320 true" >> $GNGEO_CFG_FILE
#grep ^p2joy $GNGEO_CFG_FILE >/dev/null || echo "p2joy 1,0,3,2,7,6,0,1,1,1" >> $GNGEO_CFG_FILE
#grep ^convtile $GNGEO_CFG_FILE >/dev/null || echo "convtile true" >> $GNGEO_CFG_FILE
#grep ^z80clock $GNGEO_CFG_FILE >/dev/null || echo "z80clock 0" >> $GNGEO_CFG_FILE
#grep ^fullscreen $GNGEO_CFG_FILE >/dev/null || echo "fullscreen false" >> $GNGEO_CFG_FILE
#grep ^scale $GNGEO_CFG_FILE >/dev/null || echo "scale 2" >> $GNGEO_CFG_FILE
#grep ^p1hotkey0 $GNGEO_CFG_FILE >/dev/null || echo "p1hotkey0 2,4" >> $GNGEO_CFG_FILE
#grep ^p1hotkey1 $GNGEO_CFG_FILE >/dev/null || echo "p1hotkey1 8" >> $GNGEO_CFG_FILE
#grep ^p1hotkey2 $GNGEO_CFG_FILE >/dev/null || echo "p1hotkey2 4,8" >> $GNGEO_CFG_FILE
#grep ^load_state_key $GNGEO_CFG_FILE >/dev/null || echo "load_state_key 108" >> $GNGEO_CFG_FILE
#grep ^system $GNGEO_CFG_FILE >/dev/null || echo "system unibios" >> $GNGEO_CFG_FILE
#grep ^bench $GNGEO_CFG_FILE >/dev/null || echo "bench false" >> $GNGEO_CFG_FILE
#grep ^romrcdir $GNGEO_CFG_FILE >/dev/null || echo "romrcdir /home/opt/gngeo/share/gngeo/romrc.d" >> $GNGEO_CFG_FILE
#grep ^68kclock $GNGEO_CFG_FILE >/dev/null || echo "68kclock 0" >> $GNGEO_CFG_FILE
#grep ^save_state_key $GNGEO_CFG_FILE >/dev/null || echo "save_state_key 115" >> $GNGEO_CFG_FILE
#grep ^p2key $GNGEO_CFG_FILE >/dev/null || echo "p2key 38,34,111,114,233,39,264,261,260,262,-1,-1" >> $GNGEO_CFG_FILE
#grep ^pal $GNGEO_CFG_FILE >/dev/null || echo "pal false" >> $GNGEO_CFG_FILE
#grep ^biospath $GNGEO_CFG_FILE >/dev/null || echo "biospath /home/user/MyDocs/emu-roms/neogeo/bios" >> $GNGEO_CFG_FILE
#grep ^p1joy $GNGEO_CFG_FILE >/dev/null || echo "p1joy 2,3,0,1,5,4,0,1,1,1" >> $GNGEO_CFG_FILE
#grep ^rompath $GNGEO_CFG_FILE >/dev/null || echo "rompath /home/user/MyDocs/emu-roms/neogeo" >> $GNGEO_CFG_FILE
#grep ^p1key $GNGEO_CFG_FILE >/dev/null || echo "p1key 276,273,112,108,116,117,119,120,97,100,111,-1" >> $GNGEO_CFG_FILE
#grep ^quit_key $GNGEO_CFG_FILE >/dev/null || echo "quit_key 98" >> $GNGEO_CFG_FILE
#grep ^effect $GNGEO_CFG_FILE >/dev/null || echo "effect hq2x" >> $GNGEO_CFG_FILE
#grep ^sleepidle $GNGEO_CFG_FILE >/dev/null || echo "sleepidle false" >> $GNGEO_CFG_FILE
#grep ^invertjoy $GNGEO_CFG_FILE >/dev/null || echo "invertjoy false" >> $GNGEO_CFG_FILE
#grep ^sound $GNGEO_CFG_FILE >/dev/null || echo "sound true" >> $GNGEO_CFG_FILE
#grep ^raster $GNGEO_CFG_FILE >/dev/null || echo "raster false" >> $GNGEO_CFG_FILE
#grep ^blitter $GNGEO_CFG_FILE >/dev/null || echo "blitter soft" >> $GNGEO_CFG_FILE
#grep ^p1joydev $GNGEO_CFG_FILE >/dev/null || echo "p1joydev 0" >> $GNGEO_CFG_FILE
#grep ^hwsurface $GNGEO_CFG_FILE >/dev/null || echo "hwsurface false" >> $GNGEO_CFG_FILE
#grep ^country $GNGEO_CFG_FILE >/dev/null || echo "country europe" >> $GNGEO_CFG_FILE
#grep ^debug $GNGEO_CFG_FILE >/dev/null || echo "debug false" >> $GNGEO_CFG_FILE
#grep ^joystick $GNGEO_CFG_FILE >/dev/null || echo "joystick false" >> $GNGEO_CFG_FILE
#grep ^interpolation $GNGEO_CFG_FILE >/dev/null || echo "interpolation false" >> $GNGEO_CFG_FILE
#grep ^p2joydev $GNGEO_CFG_FILE >/dev/null || echo "p2joydev 1" >> $GNGEO_CFG_FILE

# start gngeo-gui 
cd /opt/gngeo-gui/
python gngeo-gui.py > $LOG_FILE
